Version 6.7.7 Source

Table Name: `tabTime Log Batch`

Batch Time Logs for Billing.

### Fields

Sr | Fieldname | Type | Label | Options
--- | --- | --- | --- | ---
1 | `naming_series` | Select | Series |
    TLB-
2 | `status` | Select | Status |
    Draft
    Submitted
    Billed
    Cancelled
3 | `column_break_3` | Column Break |  |
4 | `sales_invoice` | Link | Sales Invoice Will be updated after Sales Invoice is Submitted. | Sales Invoice
5 | `section_break_5` | Section Break |  |
6 | `time_logs` | Table | Time Logs | Time Log Batch Detail
7 | `section_break_8` | Section Break |  |
8 | `total_hours` | Float | Total Hours updated via Time Logs |
9 | `column_break_10` | Column Break |  |
10 | `total_billing_amount` | Float | Total Billing Amount updated via Time Logs |
11 | `amended_from` | Link | Amended From | Time Log Batch

### Controller

#### erpnext.projects.doctype.time_log_batch.time_log_batch

### Class TimeLogBatch

Inherits from frappe.model.document.Document

before_cancel (self)

No docs

before_update_after_submit (self)

No docs

on_submit (self)

No docs

set_status (self)

No docs

update_status (self, time_log_batch)

No docs

update_time_log_values (self, d, tl)

No docs

validate (self)

No docs

validate_time_log_is_submitted (self, tl)

No docs

Public API
`/api/method/erpnext.projects.doctype.time_log_batch.time_log_batch.make_sales_invoice`

erpnext.projects.doctype.time_log_batch.time_log_batch.make_sales_invoice (source_name, target=None)

No docs

#### Linked In:

- Sales Invoice Item
- Time Log
- Time Log Batch